--Copyright 2002, Dan Tow, Available for free use at Cisco, all other rights reserved
set timing off
column operation format a30
column options format a30
column str format a80
column object_name format a30
column object_owner format a30
column oname format a40
column oowner format a30
column oper format a50
column cost format a15
column card format a15
set lines 960
set pages 9999
set feedback off
set verify off
delete from plan_table where statement_id = 'dantow';
spool ex.out
get &&1
0 explain plan set statement_id = 'dantow' for
/
set term off
spool off
set heading off
spool tmpdet.sql
select '@detailq8', level, ''''||'&&1'||'''', ''''||OPERATION||'''' oper,
substr(''''||rpad(to_char(level),3)||OPERATION||' '||OPTIONS||' '||
decode(OBJECT_INSTANCE, null, OBJECT_NAME,
			      to_char(OBJECT_INSTANCE)||'*'|| OBJECT_NAME)||
			      '''', 1, 80) str,
nvl(substr(OBJECT_NAME, 1, 40),''' ''') oname,
nvl(OBJECT_OWNER, ''' ''') oowner, nvl(to_char(cost),'_') cost,
nvl(to_char(cardinality),'_') card
from plan_table
start with id=0 and statement_id = 'dantow'
connect by prior id = parent_id and statement_id = 'dantow'
order by id;
spool off
rollback;
spool tmpdet2.sql
@tmpdet
spool off
spool tmpdet3.sql
@tmpdet2
spool off
spool tmpex.out
@tmpdet3
spool off
set term on
set heading on
!grep -v '^$' tmpex.out|sed 's/  *$//' |tee -a ex.out
set timing on
